## pygopherd 0.9.0

=== debian/changelog ===
pygopherd (0.9.0) unstable; urgency=low

  * Initial Release.  Closes: #142221.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 Apr 2002 08:58:31 -0500

## pygopherd 0.9.1

=== Makefile ===
clean:
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.pyc"`
	-rm -f `find . -name "*.class"`
	-rm -f `find . -name "*.bak"`

changelog:
	cvs2cl
	cvs commit ChangeLog
	rm ChangeLog.bak

=== debian/changelog ===
pygopherd (0.9.1) unstable; urgency=low

  * Many routine bugfixes.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 10 Apr 2002 19:31:13 -0500

=== debian/control ===
Source: pygopherd
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends: debhelper (>> 3.0.0), python2.2, python2.2-dev
Standards-Version: 3.5.2

Package: pygopherd
Architecture: all
Depends: python2.2, mime-support, logrotate
Provides: gopher-server
Description: Modular Multiprotocol Gopher/HTTP Server in Python
 This is an all-new, modern Gopher server.  It can serve documents
 with Gopher+, standard Gopher (RFC1436), and HTTP -- all on the same
 port.  Pygopherd features a modular extension system as well as
 loadable scripts and much more.  It contains full support for
 UMN gopherd systems -- including .Links, .names, .cap, searches, etc.
 Pygopherd also supports Bucktooth features such as gophermap files
 and executables.  In addition to all this, there are Pygopherd's own
 extra features.  All features are fully customizable and can be enabled
 or disabled by editing /etc/pygopherd/pygopherd.conf.

## pygopherd 0.9.2

=== debian/changelog ===
pygopherd (0.9.2) unstable; urgency=low

  * More bugfixes and new testing code.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Apr 2002 14:34:43 -0500

## pygopherd 0.9.3

=== debian/changelog ===
pygopherd (0.9.3) unstable; urgency=low

  * Fixed a bug that prevented proper startup.  Fixed a lot of bugs
    with new HTTP code.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 11 Apr 2002 16:41:02 -0500

## pygopherd 0.9.4

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 clean:
+	-python2.2 setup.py clean --all
 	-rm -f `find . -name "*~"`
 	-rm -f `find . -name "*.pyc"`
 	-rm -f `find . -name "*.class"`

=== debian/changelog ===
pygopherd (0.9.4) unstable; urgency=low

  * Moved security handling to the handler base.
  * Fixed bug in URL handling -- it works now.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 12 Apr 2002 11:46:14 -0500

## pygopherd 0.9.10

=== Makefile ===
--- 
+++ 
@@ -4,6 +4,7 @@
 	-rm -f `find . -name "*.pyc"`
 	-rm -f `find . -name "*.class"`
 	-rm -f `find . -name "*.bak"`
+	-rm -f `find . -name ".cache*"`
 
 changelog:
 	cvs2cl

=== debian/changelog ===
pygopherd (0.9.10) unstable; urgency=low

  * Added handling of abstracts and other extended attributes.
  * More test cases.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 15 Apr 2002 19:20:04 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>> 3.0.0), python2.2, python2.2-dev
+Build-Depends-Indep: debhelper (>> 3.0.0), python2.2, python2.2-dev
 Standards-Version: 3.5.2
 
 Package: pygopherd

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified by John Goerzen

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

PYTHON=python2.2
PACKAGE=pygopherd


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#$(PYTHON) setup.py configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(PYTHON) setup.py build
	#/usr/bin/docbook-to-man debian/pygopherd.sgml > pygopherd.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-$(PYTHON) setup.py clean --all

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pygopherd.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	mv debian/pygopherd/usr/bin/pygopherd.py \
		debian/pygopherd/usr/sbin/pygopherd
	rm debian/pygopherd/etc/pygopherd/mime.types
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pygopherd 0.9.11

=== Makefile ===
--- 
+++ 
@@ -2,6 +2,7 @@
 	-python2.2 setup.py clean --all
 	-rm -f `find . -name "*~"`
 	-rm -f `find . -name "*.pyc"`
+	-rm -f `find . -name "*.pygc"`
 	-rm -f `find . -name "*.class"`
 	-rm -f `find . -name "*.bak"`
 	-rm -f `find . -name ".cache*"`

=== debian/changelog ===
pygopherd (0.9.11) unstable; urgency=low

  * Added support for searches in HTTP handler.
  * Added pygfarm package and a PYG.
  * Many bugfixes.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 18 Apr 2002 12:23:09 -0500

=== debian/control ===
--- 
+++ 
@@ -19,3 +19,17 @@
  and executables.  In addition to all this, there are Pygopherd's own
  extra features.  All features are fully customizable and can be enabled
  or disabled by editing /etc/pygopherd/pygopherd.conf.
+
+Package: pygfarm
+Architecture: all
+Depends: pygopherd (>= ${Source-Version}), python2.2-dictclient (>= 1.0.1)
+Description: Collection of add-on modules for Pygopherd
+ These add-on modules provide additional functionality for
+ your Pygopherd server.
+ .
+ Included modules are:
+ .
+ dict.pyg: Interface to a dictd database
+ .
+ These are installed into /usr/share/pygfarm for you to link to
+ as you like.

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,9 @@
 	mv debian/pygopherd/usr/bin/pygopherd.py \
 		debian/pygopherd/usr/sbin/pygopherd
 	rm debian/pygopherd/etc/pygopherd/mime.types
+	cp pygfarm/*.pyg debian/pygfarm/usr/share/pygfarm
+	chown root.root debian/pygfarm/usr/share/pygfarm/*
+	chmod 0755 debian/pygfarm/usr/share/pygfarm/*
 	dh_installexamples
 	dh_installmenu
 #	dh_installlogrotate

## pygopherd 0.9.12

=== debian/changelog ===
pygopherd (0.9.12) unstable; urgency=low

  * Minor bugfixes.
  * Added support for detached operation and pidfile writing.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  1 May 2002 11:46:19 -0500

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), python2.2, python2.2-dev
+Build-Depends-Indep: debhelper (>> 3.0.0), python2.2 (>= 2.2.1-4) | python2.2 (<< 2.2.1), python2.2-dev
 Standards-Version: 3.5.2
 
 Package: pygopherd

## pygopherd 0.9.13

=== debian/changelog ===
pygopherd (0.9.13) unstable; urgency=low

  * Added signal handlers so shutdowns work properly.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  2 Jul 2002 11:03:18 -0500

=== debian/rules ===
--- 
+++ 
@@ -47,7 +47,6 @@
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
-	-$(PYTHON) setup.py clean --all
 
 	dh_clean

## pygopherd 0.9.14

=== debian/changelog ===
pygopherd (0.9.14) unstable; urgency=low

  * Fixed some more bugs -- HTMLParser.
  * Detect failure to allocate a socket and log it.  And still scream about
    it.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  2 Jul 2002 11:45:20 -0500

## pygopherd 1.0.0

=== Makefile ===
# Copyright (C) 2002 John Goerzen
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
clean:
	-python2.2 setup.py clean --all
	-rm -f `find . -name "*~"`
	-rm -f `find . -name "*.pyc"`
	-rm -f `find . -name "*.pygc"`
	-rm -f `find . -name "*.class"`
	-rm -f `find . -name "*.bak"`
	-rm -f `find . -name ".cache*"`
	-find . -name auth -exec rm -vf {}/password {}/username \;
	-svn cleanup

changelog:
	svn log -v > ChangeLog

=== .svn/wcprops/Makefile ===
K 25
svn:wc:ra_dav:version-url
V 47
/gopher-py/!svn/ver/193/pygopherd/head/Makefile
K 29
svn:wc:ra_dav:version-url-rev
V 3
193
END

=== debian/changelog ===
pygopherd (1.0.0) unstable; urgency=low

  * First release.  Welcome, pygopherd.
  * Added URL type rewriting handler.
  * Fixed gophermap info-only lines that have no tabs.
  * UMN dir handler now keeps directories beginning with a . out of the
    directory list.
  * Shored up tests to work with Subversion.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Jul 2002 19:32:32 -0500

=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	cp pygfarm/*.pyg debian/pygfarm/usr/share/pygfarm
 	chown root.root debian/pygfarm/usr/share/pygfarm/*
 	chmod 0755 debian/pygfarm/usr/share/pygfarm/*
-	dh_installexamples
+	dh_installexamples examples/*
 	dh_installmenu
 #	dh_installlogrotate
 #	dh_installemacsen

## pygopherd 1.1.0

=== Makefile ===
--- 
+++ 
@@ -27,3 +27,9 @@
 
 changelog:
 	svn log -v > ChangeLog
+
+docs:
+	man -t -l pygopherd.8 > manual.ps
+	ps2pdf manual.ps
+	groff -Tascii -man pygopherd.8 | sed $$'s/.\b//g' > manual.txt
+	groff -Thtml -man pygopherd.8 > manual.html

=== .svn/wcprops/Makefile ===
K 25
svn:wc:ra_dav:version-url
V 47
/gopher-py/!svn/ver/205/pygopherd/head/Makefile
K 29
svn:wc:ra_dav:version-url-rev
V 3
205
END

=== debian/changelog ===
pygopherd (1.1.0) unstable; urgency=low

  * Added new configuration option: advertisedport.
  * Removed TODO file (now contained in bug-tracking system)
  * Moved pygopherd.py to bin/pygopherd to make installation clearer
    and testing smoother.
  * Extensive new manual that thoroughly documents the system.
  * UMN Compatibility: type - will also hide things in the fashion of X.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 08 Aug 2002 20:17:17 -0500

=== debian/rules ===
--- 
+++ 
@@ -71,7 +71,7 @@
 	dh_testroot
 #	dh_installdebconf	
 	dh_installdocs
-	mv debian/pygopherd/usr/bin/pygopherd.py \
+	mv debian/pygopherd/usr/bin/pygopherd \
 		debian/pygopherd/usr/sbin/pygopherd
 	rm debian/pygopherd/etc/pygopherd/mime.types
 	cp pygfarm/*.pyg debian/pygfarm/usr/share/pygfarm

## pygopherd 2.0.0

=== debian/changelog ===
pygopherd (2.0.0) unstable; urgency=low

  * New feature: WAP/WMP support!
  * HTTP bugfix: use \r\n line endings.
  * Debian: Updated for Python 2.3.
  * Virtual: now use | for selector sep (keep ? for legacy)
    for WAP compatibility.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 23 Aug 2003 12:00:48 -0500

pygopherd (1.99.5) unstable; urgency=low

  * Introduced new "inode-like" caching system for ZIP files.
    Now, the first time a ZIP file is accessed, it will be scanned.
    Links will be resolved immediately.  A dictionary tree is built up;
    values being either file offsets in the ZIP file or dictionaries
    (for subdirectories).  This dictionary is then cached on-disk using
    a binary database and marshal algorithm derived from Python's shelve
    module.  We do not need to use pickle for this task since we are saving
    only simple structures.  The performance gain for large ZIP files using
    this method is tremendous.  The only time a ZIP file's central
    directory structure must be scanned now is the very first time it is
    ever accessed.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 13 Mar 2003 09:49:39 -0600

pygopherd (1.99.4) unstable; urgency=low

  * Wrote my own ZIP file reader and heavily optimized it.  This reduced run
    times for certain torture cases from over 100 seconds to somewhere
    around 20, and others from over 200 seconds to around 80.

 -- John Goerzen <jgoerzen@complete.org>  Fri,  7 Mar 2003 16:03:35 -0600

pygopherd (1.99.3) unstable; urgency=low

  * Backed out ZIP content cache.  Was slower than the ZIP file itself.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Mar 2003 15:43:03 -0600

pygopherd (1.99.2) unstable; urgency=low

  * Made some aggressive optimizations in the ZIP handler.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Mar 2003 15:34:08 -0600

pygopherd (1.99.1) unstable; urgency=low

  * Fixed a bug in html handler.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  6 Mar 2003 11:26:14 -0600

pygopherd (1.99.0) unstable; urgency=low

  * Implemented virtual file system support.
  * Implemented VFS_Real, the VFS module for the on-disk filesystem
    (as was the only option in the past)
  * Implemented VFS_ZIP, the VFS module for ZIP archives.
  * New handler ZIP to work with VFS_ZIP.
  * Implemented symlink capabilities for VFS_ZIP.
  * Implemented directory symlink capabilities for VFS_ZIP.
  * Wrote extensive test battery for VFS_ZIP and VFS_ZIP's symlink handling.
    All tests pass.

 -- John Goerzen <jgoerzen@complete.org>  Wed,  5 Mar 2003 22:24:43 -0600

pygopherd (1.1.1) unstable; urgency=low

  * Added ability to serve up files ending in ".gophermap" as
    Gophermap files.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 21 Feb 2003 15:14:03 -0600

## pygopherd 2.0.1

=== Makefile ===
--- 
+++ 
@@ -3,8 +3,7 @@
 #
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
-#    the Free Software Foundation; either version 2 of the License, or
-#    (at your option) any later version.
+#    the Free Software Foundation; version 2 of the License.
 #
 #    This program is distributed in the hope that it will be useful,
 #    but WITHOUT ANY WARRANTY; without even the implied warranty of

=== debian/changelog ===
pygopherd (2.0.1) unstable; urgency=low

  * Oops, a stray print was left over.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 23 Aug 2003 15:04:19 -0500

=== debian/control ===
Source: pygopherd
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: debhelper (>> 3.0.0), python2.3, python2.2-dev
Standards-Version: 3.5.2

Package: pygopherd
Architecture: all
Depends: python2.3, mime-support, logrotate
Provides: gopher-server
Description: Modular Multiprotocol Gopher/HTTP/WAP Server in Python
 This is an all-new, modern Gopher server.  It can serve documents
 with Gopher+, standard Gopher (RFC1436), HTTP, and WAP -- all on the same
 port.  Pygopherd features a modular extension system as well as
 loadable scripts and much more.  It contains full support for
 UMN gopherd systems -- including .Links, .names, .cap, searches, etc.
 Pygopherd also supports Bucktooth features such as gophermap files
 and executables.  In addition to all this, there are Pygopherd's own
 extra features.  All features are fully customizable and can be enabled
 or disabled by editing /etc/pygopherd/pygopherd.conf.
 .
 This version of PyGopherd introduces WAP support.

Package: pygfarm
Architecture: all
Depends: pygopherd (>= ${Source-Version}), python2.3-dictclient (>= 1.0.1)
Description: Collection of add-on modules for Pygopherd
 These add-on modules provide additional functionality for
 your Pygopherd server.
 .
 Included modules are:
 .
 dict.pyg: Interface to a dictd database
 .
 These are installed into /usr/share/pygfarm for you to link to
 as you like.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.2
+PYTHON=python2.3
 PACKAGE=pygopherd

## pygopherd 2.0.3

=== debian/changelog ===
pygopherd (2.0.3) unstable; urgency=low

  * Fixed a silly typo in wap.py.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 23 Aug 2003 20:59:12 -0500

pygopherd (2.0.2) unstable; urgency=low

  * Can now autodetect many WAP browsers.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 23 Aug 2003 17:29:20 -0500

## pygopherd 2.0.7

=== debian/changelog ===
pygopherd (2.0.7) unstable; urgency=low

  * Fixed UMN.py to properly handle Numb=.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Dec 2003 08:25:49 -0600

pygopherd (2.0.6) unstable; urgency=low

  * Updated debian/docs.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  9 Oct 2003 16:46:37 -0500

pygopherd (2.0.5) unstable; urgency=low

  * Added build-dep on python2.3-dev.  Closes: #213938.

 -- John Goerzen <jgoerzen@complete.org>  Thu,  9 Oct 2003 11:09:41 -0500

pygopherd (2.0.4) unstable; urgency=low

  * Eliminated outdated import of xreadlines, clearing up a warning
    with Python 2.3.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 24 Aug 2003 17:23:41 -0500

## pygopherd 2.0.8

=== debian/changelog ===
pygopherd (2.0.8) unstable; urgency=low

  * Fixed a logic error in the Numb handling fix.

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Dec 2003 08:43:38 -0600

## pygopherd 2.0.8ubuntu1

=== debian/changelog ===
pygopherd (2.0.8ubuntu1) hoary; urgency=low

  * Rebuild for python2.4 
  * Standards Version 3.6.1.1 

 -- Charles Majola <charles@ubuntu.com>  Fri, 18 Feb 2005 11:15:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), python2.3, python2.2-dev
-Standards-Version: 3.5.2
+Build-Depends-Indep: debhelper (>> 3.0.0), python2.4, python2.4-dev
+Standards-Version: 3.6.1.1
 
 Package: pygopherd
 Architecture: all
-Depends: python2.3, mime-support, logrotate
+Depends: python2.4, mime-support, logrotate, python2.4-simpletal
 Provides: gopher-server
 Description: Modular Multiprotocol Gopher/HTTP/WAP Server in Python
  This is an all-new, modern Gopher server.  It can serve documents
@@ -24,7 +24,7 @@
 
 Package: pygfarm
 Architecture: all
-Depends: pygopherd (>= ${Source-Version}), python2.3-dictclient (>= 1.0.1)
+Depends: pygopherd (>= ${Source-Version}), python2.4-dictclient (>= 1.0.1)
 Description: Collection of add-on modules for Pygopherd
  These add-on modules provide additional functionality for
  your Pygopherd server.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.3
+PYTHON=python2.4
 PACKAGE=pygopherd

## pygopherd 2.0.9

=== debian/changelog ===
pygopherd (2.0.9) unstable; urgency=low

  * Don't crash if simpletal is unavailable. 

 -- John Goerzen <jgoerzen@complete.org>  Wed, 17 Dec 2003 11:26:14 -0600

## pygopherd 2.0.13

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 2002 John Goerzen
+# Copyright (C) 2002, 2003 John Goerzen
 # <jgoerzen@complete.org>
 #
 #    This program is free software; you can redistribute it and/or modify
@@ -14,21 +14,49 @@
 #    along with this program; if not, write to the Free Software
 #    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 clean:
-	-python2.2 setup.py clean --all
+	-python2.3 setup.py clean --all
 	-rm -f `find . -name "*~"`
 	-rm -f `find . -name "*.pyc"`
 	-rm -f `find . -name "*.pygc"`
 	-rm -f `find . -name "*.class"`
 	-rm -f `find . -name "*.bak"`
 	-rm -f `find . -name ".cache*"`
+	-rm -f *.log *.aux *.dvi *.out *.jtex jadetex.cfg
 	-find . -name auth -exec rm -vf {}/password {}/username \;
 	-svn cleanup
 
 changelog:
 	svn log -v > ChangeLog
 
-docs:
-	man -t -l pygopherd.8 > manual.ps
-	ps2pdf manual.ps
-	groff -Tascii -man pygopherd.8 | sed $$'s/.\b//g' > manual.txt
-	groff -Thtml -man pygopherd.8 > manual.html
+docs: doc/pygopherd.8 doc/pygopherd.html doc/pygopherd.ps \
+	doc/pygopherd.pdf doc/pygopherd.txt
+
+doc/pygopherd.8: doc/pygopherd.sgml
+	docbook2man doc/pygopherd.sgml
+	docbook2man doc/pygopherd.sgml
+	-rm manpage.links manpage.refs
+	mv pygopherd.8 doc
+
+#doc/pygopherd.html: doc/pygopherd.sgml
+#	docbook2html -u doc/pygopherd.sgml
+#	mv pygopherd.html doc
+
+doc/pygopherd.html: doc/pygopherd.sgml
+	docbook-2-html -s local doc/pygopherd.sgml
+	mv doc/pygopherd-html/pygopherd.html doc/pygopherd.html
+	rm -r doc/pygopherd-html
+
+#doc/pygopherd.ps: doc/pygopherd.8
+#	man -t -l doc/pygopherd.8 > doc/pygopherd.ps
+
+doc/pygopherd.ps: doc/pygopherd.sgml doc/book.sgml doc/manpage.sgml
+	docbook-2-ps -q -O -V -O paper-size=Letter -s local=printlocal \
+		doc/book.sgml
+	mv book.ps doc/pygopherd.ps
+
+doc/pygopherd.pdf: doc/pygopherd.ps
+	ps2pdf doc/pygopherd.ps
+	mv pygopherd.pdf doc
+
+doc/pygopherd.txt:
+	groff -Tascii -man doc/pygopherd.8 | sed $$'s/.\b//g' > doc/pygopherd.txt

=== debian/changelog ===
pygopherd (2.0.13) unstable; urgency=low

  * Applied patch from Tim to clean up some typos in the docs.
  * Manpage was missing from .deb.  Fixed.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 19 Feb 2005 12:05:48 -0600

pygopherd (2.0.12) unstable; urgency=low

  * Cleaner handling of connection reset by peer

 -- John Goerzen <jgoerzen@complete.org>  Sat, 15 Jan 2005 15:23:38 -0600

pygopherd (2.0.11) unstable; urgency=medium

  * Work around a bug that occurs when a type is missing.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 14 Jan 2005 09:35:25 -0600

pygopherd (2.0.10) unstable; urgency=low

  * Some modifications to make more Windows friendly, based on patch from
    Grant D. Watson.

 -- John Goerzen <jgoerzen@complete.org>  Mon, 30 Aug 2004 14:49:15 -0500

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), python2.4, python2.4-dev
-Standards-Version: 3.6.1.1
+Build-Depends-Indep: debhelper (>> 3.0.0), python2.3, python2.3-dev
+Standards-Version: 3.5.2
 
 Package: pygopherd
 Architecture: all
-Depends: python2.4, mime-support, logrotate, python2.4-simpletal
+Depends: python2.3, mime-support, logrotate, python2.3-simpletal
 Provides: gopher-server
 Description: Modular Multiprotocol Gopher/HTTP/WAP Server in Python
  This is an all-new, modern Gopher server.  It can serve documents
@@ -24,7 +24,7 @@
 
 Package: pygfarm
 Architecture: all
-Depends: pygopherd (>= ${Source-Version}), python2.4-dictclient (>= 1.0.1)
+Depends: pygopherd (>= ${Source-Version}), python2.3-dictclient (>= 1.0.1)
 Description: Collection of add-on modules for Pygopherd
  These add-on modules provide additional functionality for
  your Pygopherd server.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.4
+PYTHON=python2.3
 PACKAGE=pygopherd
 
 
@@ -85,7 +85,7 @@
 #	dh_installmime
 	dh_installinit
 	dh_installcron
-	dh_installman
+	dh_installman doc/pygopherd.8
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs

## pygopherd 2.0.14

=== debian/changelog ===
pygopherd (2.0.14) unstable; urgency=low

  * Fixed a bug where no subject line would crash the mailbox handler.
  * Updated ChangeLog.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 22 Sep 2005 05:46:29 -0500

## pygopherd 2.0.14ubuntu1

=== debian/changelog ===
pygopherd (2.0.14ubuntu1) dapper; urgency=low

  * Resynchronise with Debian
  * Update for Python 2.4

 -- Andrew Mitchell <ajmitch@ubuntu.com>  Tue, 20 Dec 2005 15:42:24 +1300

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,12 @@
 Section: net
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), python2.3, python2.3-dev
+Build-Depends-Indep: debhelper (>> 3.0.0), python2.4, python2.4-dev
 Standards-Version: 3.5.2
 
 Package: pygopherd
 Architecture: all
-Depends: python2.3, mime-support, logrotate, python2.3-simpletal
+Depends: python2.4, mime-support, logrotate, python2.4-simpletal
 Provides: gopher-server
 Description: Modular Multiprotocol Gopher/HTTP/WAP Server in Python
  This is an all-new, modern Gopher server.  It can serve documents
@@ -24,7 +24,7 @@
 
 Package: pygfarm
 Architecture: all
-Depends: pygopherd (>= ${Source-Version}), python2.3-dictclient (>= 1.0.1)
+Depends: pygopherd (>= ${Source-Version}), python2.4-dictclient (>= 1.0.1)
 Description: Collection of add-on modules for Pygopherd
  These add-on modules provide additional functionality for
  your Pygopherd server.

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.3
+PYTHON=python2.4
 PACKAGE=pygopherd

## pygopherd 2.0.16

=== debian/changelog ===
pygopherd (2.0.16) unstable; urgency=medium

  * New config file option: timeout
  * Updated to latest Debian python policy (Closes: #380906)

 -- John Goerzen <jgoerzen@complete.org>  Mon, 11 Sep 2006 08:54:50 -0500

pygopherd (2.0.15) unstable; urgency=low

  * Fixed handling of interface config option.  Closes: #357315, #361435.

 -- John Goerzen <jgoerzen@complete.org>  Tue,  9 May 2006 10:43:42 -0500

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # This is the debhelper compatibility version to use.
 export DH_COMPAT=3
 
-PYTHON=python2.4
+PYTHON=python
 PACKAGE=pygopherd
 
 
@@ -89,6 +89,8 @@
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
+	dh_pycentral
+	dh_python
 	dh_link
 	dh_strip
 	dh_compress

## pygopherd 2.0.17

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 	-svn cleanup
 
 changelog:
-	svn log -v > ChangeLog
+	darcs changes -s > ChangeLog
 
 docs: doc/pygopherd.8 doc/pygopherd.html doc/pygopherd.ps \
 	doc/pygopherd.pdf doc/pygopherd.txt

=== _darcs/current/debian/changelog ===
pygopherd (2.0.17) unstable; urgency=high

  * Make sure python-central does its thing before the init script
    tries to start Python.  Closes: #387663.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 15 Sep 2006 14:01:50 -0500

=== _darcs/current/debian/control ===
Source: pygopherd
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Build-Depends-Indep: python-central (>= 0.5), debhelper (>> 5.0.37.2), python, python (>= 2.3)
Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
Standards-Version: 3.5.2
XS-Python-Version: current, >= 2.3

Package: pygopherd
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: python, mime-support, logrotate, python-simpletal, ${python:Depends}
Provides: gopher-server
Description: Modular Multiprotocol Gopher/HTTP/WAP Server in Python
 This is an all-new, modern Gopher server.  It can serve documents
 with Gopher+, standard Gopher (RFC1436), HTTP, and WAP -- all on the same
 port.  Pygopherd features a modular extension system as well as
 loadable scripts and much more.  It contains full support for
 UMN gopherd systems -- including .Links, .names, .cap, searches, etc.
 Pygopherd also supports Bucktooth features such as gophermap files
 and executables.  In addition to all this, there are Pygopherd's own
 extra features.  All features are fully customizable and can be enabled
 or disabled by editing /etc/pygopherd/pygopherd.conf.
 .
 This version of PyGopherd introduces WAP support.

Package: pygfarm
Architecture: all
Depends: pygopherd (>= ${Source-Version}), python-dictclient (>= 1.0.1)
Description: Collection of add-on modules for Pygopherd
 These add-on modules provide additional functionality for
 your Pygopherd server.
 .
 Included modules are:
 .
 dict.pyg: Interface to a dictd database
 .
 These are installed into /usr/share/pygfarm for you to link to
 as you like.

=== _darcs/current/debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
# Modified by John Goerzen

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

PYTHON=python
PACKAGE=pygopherd


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	#$(PYTHON) setup.py configure

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(PYTHON) setup.py build
	#/usr/bin/docbook-to-man debian/pygopherd.sgml > pygopherd.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/pygopherd.
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	mv debian/pygopherd/usr/bin/pygopherd \
		debian/pygopherd/usr/sbin/pygopherd
	rm debian/pygopherd/etc/pygopherd/mime.types
	cp pygfarm/*.pyg debian/pygfarm/usr/share/pygfarm
	chown root.root debian/pygfarm/usr/share/pygfarm/*
	chmod 0755 debian/pygfarm/usr/share/pygfarm/*
	dh_installexamples examples/*
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_pycentral
	dh_installinit
	dh_installcron
	dh_installman doc/pygopherd.8
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_python
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## pygopherd 2.0.18.3

=== debian/changelog ===
pygopherd (2.0.18.3) unstable; urgency=low

  * Now remove build directory in clean target.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 08 Aug 2008 22:02:16 -0500

pygopherd (2.0.18.2) unstable; urgency=medium

  * Correct typo in debian/rules.  Really get RFC out of Debian source package
    this time.  Closes: #475376.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 05 Aug 2008 08:40:10 -0500

pygopherd (2.0.18.1) unstable; urgency=low

  * Remove RFC from Debian source package.  Closes: #475376.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 01 May 2008 01:31:59 -0500

pygopherd (2.0.18) unstable; urgency=low

  * Move #DEBHELPER# section to end of postinst so that adduser gets run
    first. Fixes a bug introduced in 2.0.17.  Closes: #475247.
  * Removed weird stuff from source tree
  * Acknowledge NMU.  Closes: #469619.

 -- John Goerzen <jgoerzen@complete.org>  Thu, 10 Apr 2008 00:23:56 -0500

pygopherd (2.0.17-0.1) unstable; urgency=low

  * Non-maintainer upload to solve release goal.
  * Add LSB dependency header to init.d scripts (Closes: #469619).

 -- Petter Reinholdtsen <pere@debian.org>  Fri,  4 Apr 2008 20:18:22 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,18 @@
 Section: net
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 3.0.0), python2.4, python2.4-dev
+Build-Depends-Indep: python-central (>= 0.5), debhelper (>> 5.0.37.2), python, python (>= 2.3)
+Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
 Standards-Version: 3.5.2
+XS-Python-Version: current, >= 2.3
+Homepage: gopher://gopher.quux.org/1/devel/gopher/pygopherd
+Vcs-Git: git://git.complete.org/pygopherd
+Vcs-Browser: http://git.complete.org/pygopherd
 
 Package: pygopherd
 Architecture: all
-Depends: python2.4, mime-support, logrotate, python2.4-simpletal
+XB-Python-Version: ${python:Versions}
+Depends: python, mime-support, logrotate, python-simpletal, ${python:Depends}
 Provides: gopher-server
 Description: Modular Multiprotocol Gopher/HTTP/WAP Server in Python
  This is an all-new, modern Gopher server.  It can serve documents
@@ -24,7 +30,7 @@
 
 Package: pygfarm
 Architecture: all
-Depends: pygopherd (>= ${Source-Version}), python2.4-dictclient (>= 1.0.1)
+Depends: pygopherd (>= ${Source-Version}), python-dictclient (>= 1.0.1)
 Description: Collection of add-on modules for Pygopherd
  These add-on modules provide additional functionality for
  your Pygopherd server.

=== debian/rules ===
--- 
+++ 
@@ -44,6 +44,7 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp configure-stamp
+	-rm -f doc/standards/rfc*
 
 	# Add here commands to clean up after the build process.
 	-$(MAKE) clean
@@ -83,13 +84,13 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
+	dh_pycentral
 	dh_installinit
 	dh_installcron
 	dh_installman doc/pygopherd.8
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
-	dh_pycentral
 	dh_python
 	dh_link
 	dh_strip

## pygopherd 2.0.18.3+nmu2

=== debian/changelog ===
pygopherd (2.0.18.3+nmu2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depend on python >= 2.5.4 for install-layout=deb.

 -- Kumar Appaiah <akumar@debian.org>  Mon, 19 Oct 2009 18:00:54 -0500

pygopherd (2.0.18.3+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "manipulates site-packages/ directly, failing with Python 2.6"
    Applied and uploaded Kumar's patch, thanks dude! (Closes: #547835)

 -- Bastian Venthur <venthur@debian.org>  Sat, 17 Oct 2009 15:41:30 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: net
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: python-central (>= 0.5), debhelper (>> 5.0.37.2), python, python (>= 2.3)
+Build-Depends-Indep: python-central (>= 0.5), debhelper (>> 5.0.37.2), python (>= 2.5.4)
 Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
 Standards-Version: 3.5.2
 XS-Python-Version: current, >= 2.3

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 
 	# Add here commands to install the package into debian/pygopherd.
 	#$(MAKE) install DESTDIR=$(CURDIR)/debian/pygopherd
-	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile
+	$(PYTHON) setup.py install --root=`pwd`/debian/$(PACKAGE) --no-compile --install-layout=deb
 
 
 # Build architecture-dependent files here.

## pygopherd 2.0.18.3+nmu3

=== debian/changelog ===
pygopherd (2.0.18.3+nmu3) unstable; urgency=low

  * Non-maintainer upload.
  * Convert to dh_python2. (Closes: #616966) 

 -- Andrea Colangelo <warp10@ubuntu.com>  Fri, 28 Jun 2013 18:08:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,17 +2,15 @@
 Section: net
 Priority: optional
 Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: python-central (>= 0.5), debhelper (>> 5.0.37.2), python (>= 2.5.4)
-Build-Depends: debhelper (>= 5.0.37.2), python-central (>= 0.5)
+Build-Depends-Indep: debhelper (>> 5.0.37.2), python (>= 2.6.6-3~)
+Build-Depends: debhelper (>= 5.0.37.2)
 Standards-Version: 3.5.2
-XS-Python-Version: current, >= 2.3
 Homepage: gopher://gopher.quux.org/1/devel/gopher/pygopherd
 Vcs-Git: git://git.complete.org/pygopherd
 Vcs-Browser: http://git.complete.org/pygopherd
 
 Package: pygopherd
 Architecture: all
-XB-Python-Version: ${python:Versions}
 Depends: python, mime-support, logrotate, python-simpletal, ${python:Depends}
 Provides: gopher-server
 Description: Modular Multiprotocol Gopher/HTTP/WAP Server in Python

=== debian/rules ===
--- 
+++ 
@@ -84,14 +84,13 @@
 #	dh_installemacsen
 #	dh_installpam
 #	dh_installmime
-	dh_pycentral
 	dh_installinit
 	dh_installcron
 	dh_installman doc/pygopherd.8
 	dh_installinfo
 #	dh_undocumented
 	dh_installchangelogs 
-	dh_python
+	dh_python2
 	dh_link
 	dh_strip
 	dh_compress

## pygopherd 2.0.18.3+nmu4

=== debian/changelog ===
pygopherd (2.0.18.3+nmu4) unstable; urgency=medium

  * Non-maintainer upload.
  * Copy gophermap from /usr/share, not /usr/share/doc (Closes: #771501)

 -- Cameron Norman <camerontnorman@gmail.com>  Mon, 08 Dec 2014 17:25:38 -0800

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,7 @@
 	mv debian/pygopherd/usr/bin/pygopherd \
 		debian/pygopherd/usr/sbin/pygopherd
 	rm debian/pygopherd/etc/pygopherd/mime.types
+	cp examples/gophermap debian/pygopherd/usr/share/pygopherd/gophermap
 	cp pygfarm/*.pyg debian/pygfarm/usr/share/pygfarm
 	chown root.root debian/pygfarm/usr/share/pygfarm/*
 	chmod 0755 debian/pygfarm/usr/share/pygfarm/*

## pygopherd 2.0.18.3+nmu4ubuntu1

=== debian/changelog ===
pygopherd (2.0.18.3+nmu4ubuntu1) xenial; urgency=medium

  * debian/rules:
    - Remove legacy DH_COMPAT export.
    - Use dh_prep instead of dh_clean -k.
    - Add recommended build-arch and build-indep targets.
    - Remove example doc-base file.
    - Don't allow $(MAKE) clean to ignore errors.
  * debian/compat: Indicate compatibility level of 9.
  * debian/control:
    - Build-depend on debhelper (>= 9) and dh-python.
    - Move python to Build-Depends since clean needs it.
    - Depend on ${misc:Depends}.
  * debian/conffiles: Remove, since debhelper automatically adds conffiles in
    /etc.
  * debian/copyright:
    - Remove "(s)" from "Upstream Author(s)" to satisfy Lintian.
    - Replace old FSF address with new one.

 -- Logan Rosen <logan@ubuntu.com>  Fri, 08 Apr 2016 04:40:46 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: pygopherd
 Section: net
 Priority: optional
-Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends-Indep: debhelper (>> 5.0.37.2), python (>= 2.6.6-3~)
-Build-Depends: debhelper (>= 5.0.37.2)
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
 Standards-Version: 3.5.2
 Homepage: gopher://gopher.quux.org/1/devel/gopher/pygopherd
 Vcs-Git: git://git.complete.org/pygopherd
@@ -11,7 +11,7 @@
 
 Package: pygopherd
 Architecture: all
-Depends: python, mime-support, logrotate, python-simpletal, ${python:Depends}
+Depends: ${misc:Depends}, python, mime-support, logrotate, python-simpletal, ${python:Depends}
 Provides: gopher-server
 Description: Modular Multiprotocol Gopher/HTTP/WAP Server in Python
  This is an all-new, modern Gopher server.  It can serve documents
@@ -28,7 +28,7 @@
 
 Package: pygfarm
 Architecture: all
-Depends: pygopherd (>= ${Source-Version}), python-dictclient (>= 1.0.1)
+Depends: ${misc:Depends}, pygopherd (>= ${Source-Version}), python-dictclient (>= 1.0.1)
 Description: Collection of add-on modules for Pygopherd
  These add-on modules provide additional functionality for
  your Pygopherd server.

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
 
 PYTHON=python
 PACKAGE=pygopherd
@@ -29,7 +26,9 @@
 	touch configure-stamp
 
 
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -47,14 +46,14 @@
 	-rm -f doc/standards/rfc*
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) clean
 
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 
 	# Add here commands to install the package into debian/pygopherd.

## pygopherd 2.0.18.4

=== debian/changelog ===
pygopherd (2.0.18.4) unstable; urgency=low

  * Ack NMU.  Closes: #771501, #616966, #547835.
  * Don't crash if Numb= is empty.
  * Migrate to compat 9.  Closes: #800204.
  * Correct a typo in URL handler.  Closes: #663420.

 -- John Goerzen <jgoerzen@complete.org>  Sun, 29 May 2016 21:01:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: pygopherd
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: John Goerzen <jgoerzen@complete.org>
-Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), dh-python
-Standards-Version: 3.5.2
+Maintainer: John Goerzen <jgoerzen@complete.org>
+Build-Depends-Indep: debhelper (>> 9), python (>= 2.6.6-3~), dh-python
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.6
 Homepage: gopher://gopher.quux.org/1/devel/gopher/pygopherd
 Vcs-Git: git://git.complete.org/pygopherd
 Vcs-Browser: http://git.complete.org/pygopherd
 
 Package: pygopherd
 Architecture: all
-Depends: ${misc:Depends}, python, mime-support, logrotate, python-simpletal, ${python:Depends}
+Depends: python, mime-support, logrotate, python-simpletal, ${python:Depends}, ${misc:Depends}, adduser
 Provides: gopher-server
 Description: Modular Multiprotocol Gopher/HTTP/WAP Server in Python
  This is an all-new, modern Gopher server.  It can serve documents
@@ -28,7 +28,7 @@
 
 Package: pygfarm
 Architecture: all
-Depends: ${misc:Depends}, pygopherd (>= ${Source-Version}), python-dictclient (>= 1.0.1)
+Depends: pygopherd (>= ${Source-Version}), python-dictclient (>= 1.0.1), ${misc:Depends}
 Description: Collection of add-on modules for Pygopherd
  These add-on modules provide additional functionality for
  your Pygopherd server.

## pygopherd 2.0.18.4+nmu1

=== debian/changelog ===
pygopherd (2.0.18.4+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Move from obsolete Source-Version substvar ${source:Version}.
    (Closes: #833202)

 -- Chris Lamb <lamby@debian.org>  Fri, 11 Nov 2016 13:23:52 +0000

=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 Package: pygfarm
 Architecture: all
-Depends: pygopherd (>= ${Source-Version}), python-dictclient (>= 1.0.1), ${misc:Depends}
+Depends: pygopherd (>= ${source:Version}), python-dictclient (>= 1.0.1), ${misc:Depends}
 Description: Collection of add-on modules for Pygopherd
  These add-on modules provide additional functionality for
  your Pygopherd server.

=== debian/rules ===
--- 
+++ 
@@ -26,9 +26,7 @@
 	touch configure-stamp
 
 
-build: build-arch build-indep
-build-arch: build-stamp
-build-indep: build-stamp
+build: build-stamp
 
 build-stamp: configure-stamp 
 	dh_testdir
@@ -46,7 +44,7 @@
 	-rm -f doc/standards/rfc*
 
 	# Add here commands to clean up after the build process.
-	$(MAKE) clean
+	-$(MAKE) clean
 
 	dh_clean

## pygopherd 2.0.18.5

=== Makefile ===
--- 
+++ 
@@ -23,10 +23,10 @@
 	-rm -f `find . -name ".cache*"`
 	-rm -f *.log *.aux *.dvi *.out *.jtex jadetex.cfg
 	-find . -name auth -exec rm -vf {}/password {}/username \;
-	-svn cleanup
+	-rm -rf build
 
 changelog:
-	darcs changes -s > ChangeLog
+	git log -M -C --find-copies-harder --name-status > ChangeLog
 
 docs: doc/pygopherd.8 doc/pygopherd.html doc/pygopherd.ps \
 	doc/pygopherd.pdf doc/pygopherd.txt

=== debian/changelog ===
pygopherd (2.0.18.5) unstable; urgency=medium

  * Correct Cvs-Git and related in debian/control.
  * Bump standards-version.
  * Build fix: use newer source:Version in control.

 -- John Goerzen <jgoerzen@complete.org>  Tue, 14 Feb 2017 19:08:39 -0600

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: John Goerzen <jgoerzen@complete.org>
 Build-Depends-Indep: debhelper (>> 9), python (>= 2.6.6-3~), dh-python
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: gopher://gopher.quux.org/1/devel/gopher/pygopherd
-Vcs-Git: git://git.complete.org/pygopherd
-Vcs-Browser: http://git.complete.org/pygopherd
+Vcs-Git: https://github.com/jgoerzen/gopher.git
+Vcs-Browser: https://github.com/jgoerzen/gopher.git
 
 Package: pygopherd
 Architecture: all

## pygopherd 3.0.0~git20221126.02c65d60

=== debian/changelog ===
pygopherd (3.0.0~git20221126.02c65d60-3) unstable; urgency=medium

  * Remove build-dep on sgml2x, which is no longer in testing.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 06 Jan 2023 05:49:10 -0600

pygopherd (3.0.0~git20221126.02c65d60-2) unstable; urgency=medium

  * Add package to Python team and note team URLs.
  * Add Ghostscript to build-depends.

 -- John Goerzen <jgoerzen@complete.org>  Fri, 06 Jan 2023 05:43:25 -0600

pygopherd (3.0.0~git20221126.02c65d60-1) unstable; urgency=medium

  * Re-introduce to Debian.  Closes: #1024818.
  * Re-do debian/ packaging to modern standards.
  * Always build documentation during Debian build.
  * No longer package PostScript docs, since the already-packaged
    PDF is widely usable.

 -- John Goerzen <jgoerzen@complete.org>  Sat, 26 Nov 2022 15:21:49 -0600

=== debian/control ===
Source: pygopherd
Section: net
Priority: optional
Maintainer: John Goerzen <jgoerzen@complete.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-setuptools,
 python3-all,
 docbook-utils, ghostscript
#Testsuite: autopkgtest-pkg-python
Standards-Version: 4.6.1
Homepage: https://github.com/michael-lazar/pygopherd
Vcs-Browser: https://salsa.debian.org/python-team/packages/pygopherd
Vcs-Git: https://salsa.debian.org/python-team/packages/pygopherd.git

Package: pygopherd
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends},
 mime-support, logrotate, python3-simpletal, adduser
Provides: gopher-server
Description: Modular Multiprotocol Gopher/HTTP/WAP Server
 This is a modern Gopher server.  It can serve documents
 with Gopher+, standard Gopher (RFC1436), HTTP, and WAP -- all on the same
 port.  Pygopherd features a modular extension system as well as
 loadable scripts and much more.  It contains full support for
 UMN gopherd systems -- including .Links, .names, .cap, searches, etc.
 Pygopherd also supports Bucktooth features such as gophermap files
 and executables.  In addition to all this, there are Pygopherd's own
 extra features.  All features are fully customizable and can be enabled
 or disabled by editing /etc/pygopherd/pygopherd.conf.

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=pygopherd

%:
	dh $@ --buildsystem=pybuild


# If you need to rebuild the Sphinx documentation:
# Add sphinxdoc to the dh --with line.
#
# And uncomment the following lines.
#execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
#execute_after_dh_auto_build-indep:
#	PYTHONPATH=. python3 -m sphinx -N -bhtml \
#	docs/ build/html # HTML generator
#	PYTHONPATH=. python3 -m sphinx -N -bman \
#	docs/ build/man # Manpage generator

execute_after_dh_install:
	mv debian/pygopherd/usr/bin/pygopherd debian/pygopherd/usr/sbin/pygopherd

execute_before_dh_installdocs:
	-rm -f doc/*.pdf doc/*.ps doc/*.txt doc/*.8 doc/*.html
	make docs
